import pyat
from pyat.schema import RealfastExecutionBlock, Filegroup, Project, ExecutionBlock


def test_realfast_execblock_persistence():
    p = Project()
    p.project_code = 'foo'
    fg = Filegroup()
    eb = RealfastExecutionBlock(filegroup=fg, calibration_level=1, telescope='VLA', project_code='foo')

    session = pyat.schema.create_session('SDM', profile='local')
    try:
        session.add(p)
        session.add(eb)
        session.commit()
        eb2 = session.query(RealfastExecutionBlock).all()[-1]
        assert eb2 == eb
        eb3 = session.query(ExecutionBlock).get(eb2.execution_block_id)
        assert eb3 == eb
    finally:
        session.delete(eb)
        session.delete(fg)
        session.delete(p)
        session.commit()